package thyyxxk.webserver.service.zygl;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import thyyxxk.webserver.dao.his.zygl.APatientMiDao;
import thyyxxk.webserver.entity.zygl.APatientMi;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 住院病人档案信息
 * @Author:lihong
 * @Date: 2025/5/8
 */
@Slf4j
@Service
public class APatientMiService {

    @Resource
    private APatientMiDao aPatientMiMapper;
    @Resource
    private ZyConfigService zyConfigService;
    public List<String> queryInPatientNoByMzNo(String mzNo) {
        if(StringUtils.isBlank(mzNo)){
            return null;
        }
        return aPatientMiMapper.selectInPatientNoByMzNo(mzNo);
    }

    public APatientMi queryPatientMiByInPatientNo(String inpatientNo) {
        return aPatientMiMapper.selectPatientMiByInPatientNo(inpatientNo);
    }

    public List<APatientMi> queryAPatientBySocialNo(String socialNo) {
        return aPatientMiMapper.selectAPatientBySocialNo(socialNo);
    }

    public List<APatientMi> queryAPatientByMzNo(String mzNo) {
        return aPatientMiMapper.selectAPatientByMzNo(mzNo);
    }

    public int saveMzPatientMi(APatientMi aPatientMi) {
        return aPatientMiMapper.insertMzPatientMi(aPatientMi);
    }

    public int modifyMzPatientMi(APatientMi aPatientMi) {
        return aPatientMiMapper.updateMzPatientMiByMzno(aPatientMi);
    }

    /**
     * @param aPatientMi
     * @description: 根据住院号修改信息
     * @author: lihong
     * @date: 2023/12/11 8:25
     * @param: aPatientMi
     * @return: int
     */
    public int modifyMzPatientMiByInpatientNo(APatientMi aPatientMi) {
        aPatientMiMapper.updateZyAcPatient(aPatientMi);
        return aPatientMiMapper.updateMzPatientMiInpatientNo(aPatientMi);
    }



    /**
     * @param inpatientNo
     * @param mzNo
     * @description: 修改门诊号
     * @author: lihong
     * @date: 2024/1/8 11:01
     * @param: inpatientNo
     * @param: mzNo
     * @return: int
     */
    public int saveUpdatePatientId(String inpatientNo, String mzNo) {
        return aPatientMiMapper.updateMzNoByInpatientNo(inpatientNo, mzNo);
    }

    public void updateLastadmissTimes(APatientMi aPatientMiDb) {
        aPatientMiMapper.updateLastadmissTimes(aPatientMiDb);
    }
}
